Checks if method is a constructor

- « ReflectionMethod::isAbstract

- ReflectionMethod::isDestructor »

- PHP Manual
- ReflectionMethod
- Checks if method is a constructor

# ReflectionMethod::isConstructor

(PHP 5, PHP 7, PHP 8)

ReflectionMethod::isConstructor — Checks if method is a constructor

### Description

public ReflectionMethod::isConstructor(): bool

Checks if the method is a constructor.

### Parameters

This function has no parameters.

### Return Values

`true` if the method is a constructor, otherwise `false`

### See Also

- ReflectionMethod::__construct() - Constructs a ReflectionMethod
- ReflectionMethod::isAbstract() - Checks if method is abstract
- ReflectionMethod::isDestructor() - Checks if method is a destructor